{
  "name": "foundryvtt-pf1",
  "private": true,
  "author": {
    "name": "Tijmen Bok"
  },
  "devDependencies": {
    "@ethaks/fvtt-quench": "^0.8.1",
    "@guanghechen/rollup-plugin-copy": "^1.9.8",
    "@league-of-foundry-developers/foundry-vtt-types": "^9.280.0",
    "@seald-io/nedb": "^3.1.0",
    "@types/fs-extra": "^9.0.13",
    "@types/yargs": "^17.0.12",
    "changelogify": "^1.2.1",
    "chokidar": "^3.5.3",
    "eslint": "^8.23.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-jsdoc": "^39.3.6",
    "eslint-plugin-prettier": "^4.2.1",
    "fs-extra": "^10.1.0",
    "globby": "^13.1.2",
    "husky": "^8.0.1",
    "lint-staged": "^13.0.3",
    "markdown-it-anchor": "^8.6.4",
    "picocolors": "^1.0.0",
    "prettier": "^2.7.1",
    "rollup-plugin-terser": "^7.0.2",
    "rollup-plugin-visualizer": "^5.8.1",
    "simple-git": "^3.14.0",
    "tsconfig-paths": "^4.1.0",
    "typedoc": "^0.23.14",
    "typedoc-plugin-missing-exports": "^1.0.0",
    "vite": "^2.9.12",
    "yargs": "^17.5.1"
  },
  "lint-staged": {
    "*.{mjs,js}": "eslint --cache --fix",
    "*.json": "prettier --write",
    "*.less": "prettier --write",
    "*.md": "prettier --write"
  },
  "scripts": {
    "prebuild": "npm run link jsconfig && npm run packs:compile",
    "build": "vite build",
    "build:watch": "npm run prebuild && vite build --mode development --watch",
    "build:serve": "npm run build && vite serve",
    "serve": "vite serve",
    "packs": "node ./tools/packs.mjs",
    "packs:extract": "node ./tools/packs.mjs extract",
    "packs:compile": "node ./tools/packs.mjs compile",
    "lang": "node ./tools/help-lang.mjs",
    "lint": "eslint . --cache",
    "lint:fix": "eslint . --cache --fix",
    "lint:ci": "eslint --quiet .",
    "format": "prettier --write --cache .",
    "format:check": "prettier --cache --check .",
    "format:ci": "prettier --check .",
    "link": "node ./tools/link.mjs",
    "docs": "typedoc",
    "patch": "node ./tools/release.mjs patch",
    "minor": "node ./tools/release.mjs minor",
    "major": "node ./tools/release.mjs major",
    "addlog": "changelogify add",
    "prepare": "husky install"
  },
  "dependencies": {
    "color": "^4.2.3",
    "markdown-it": "^13.0.1"
  }
}
